Skip to main content
Use the REST API to access all Membrane operations — connections, actions, events, data, and more.

Making API Requests

To make API requests, you need a Membrane Token. You can generate in your code or in [Console]. See Authentication for more details.
curl https://api.getmembrane.com/self \
  -H "Authorization: Bearer YOUR_TOKEN"
See API Reference for the full list of available API endpoints and their inputs/outputs.

OpenAPI Spec

The full OpenAPI specification is available at:
https://api.getmembrane.com/-json

API Versioning

The API uses X.Y versioning. The major version changes when there are breaking changes, and the minor version changes with any updates. Include the API-Version header to pin a specific version:
curl https://api.getmembrane.com/self \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "API-Version: 2.1"
See the Changelog for version history and changes.